Page MenuHomePhabricator

Log search type events for new header
Closed, ResolvedPublic5 Estimated Story Points

Description

For the new header (currently in alpha), we need to see if it has a negative impact on searches. It will not be enough to capture search button clicks (because now that is just a "header" click.

Now we also have to send an event when text is first entered into search box.
from: https://meta.wikimedia.org/wiki/Schema:Search
"session-start"
"impression-results"
"click-result"

Use cookies rather than sendBeacon to save the click-result event.

Event Timeline

JKatzWMF raised the priority of this task from to Needs Triage.
JKatzWMF updated the task description. (Show Details)
JKatzWMF added a project: Readers-Web-Backlog.
JKatzWMF moved this task to 2016-17 Q2 on the Readers-Web-Backlog board.
JKatzWMF added a subscriber: JKatzWMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2015, 12:23 AM

JonK says we should probably reuse the existing schema (with a new field for the mobile mode): https://meta.wikimedia.org/wiki/Schema:Search

KHammerstein set Security to None.
KHammerstein removed a subscriber: kaldari.

Baha will talk to adam about this

JKatzWMF updated the task description. (Show Details)Apr 27 2015, 7:12 PM
bmansurov updated the task description. (Show Details)Apr 27 2015, 7:13 PM

@dr0ptp4kt, we are trying to track search events on mobile and were wondering whether we should alter the existing Schema:Search [1] that the desktop uses to add an extra field, or clone this schema? The extra field that we need is the mobilemode field which will contain data about the mobile mode, i.e. alpha, beta, or stable. I think this maybe useful for apps as well. What are your thoughts on that? If I am not mistaken, the schema was designed to be used by MobileWeb as well.

[1] https://meta.wikimedia.org/wiki/Schema:Search

phuedx claimed this task.Apr 28 2015, 1:12 PM

I'll base my patch off of @bmansurov's patch for T96172.

I've created the MobileWebSearch schema so that we can implement and test this without waiting on a decision about whether or not to use the Search schema. If we do decide to use Search schema, then it should be trivial to merge any changes.

Change 207761 had a related patch set uploaded (by Phuedx):
Add new events to SearchOverlay

https://gerrit.wikimedia.org/r/207761

Change 207762 had a related patch set uploaded (by Phuedx):
Hygiene: Generalise the futureLog mechanism

https://gerrit.wikimedia.org/r/207762

Change 207763 had a related patch set uploaded (by Phuedx):
Log MobileWebSearch events

https://gerrit.wikimedia.org/r/207763

Change 207761 merged by jenkins-bot:
Add new events to SearchOverlay

https://gerrit.wikimedia.org/r/207761

Change 207762 merged by jenkins-bot:
Hygiene: Generalise the futureLog mechanism

https://gerrit.wikimedia.org/r/207762

Change 207763 merged by jenkins-bot:
Log MobileWebSearch events

https://gerrit.wikimedia.org/r/207763

phuedx closed this task as Resolved.May 5 2015, 9:42 AM

T98120 captures the work to review the instrumentation once it's derployed.